Package com.netrics.likeit

## Class NetricsTableCursorRecSrc

- java.lang.Object
- - com.netrics.likeit.NetricsTableCursorRecSrc

- All Implemented Interfaces:
    `NetricsBaseRecSrc`, `NetricsRecSrc`

      public class NetricsTableCursorRecSrc
      extends java.lang.Object
      implements NetricsRecSrc

  Implements the `NetricsRecSrc` interface by binding a `NetricsTableCursor` to a particular ibi™ Patterns - Search server.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsTableCursorRecSrc​(NetricsTableCursor cursor, NetricsServerInterface host)` | Create a NetricsTableCursorRecSrc instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NetricsRecord` | `getNext()` | Returns the next record.
    `java.lang.String` | `getPosition()` | Obtains the current position of the underlying cursor.
    `boolean` | `hasNext()` | True if getNext will return a record.
    `void` | `reset()` | Resets the underlying cursor to the beginning.
    `void` | `setPosition​(java.lang.String position)` | Reposition the underlying cursor.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsTableCursorRecSrc

          public NetricsTableCursorRecSrc​(NetricsTableCursor cursor,
                                          NetricsServerInterface host)

      Create a NetricsTableCursorRecSrc instance.
      Parameters:
        `cursor` - cursor underlying the record source.
        `host` - the cursor will traverse table(s) on this host.

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws NetricsRecSrcException

      Description copied from interface: `NetricsBaseRecSrc`
      True if getNext will return a record.
      Specified by:
        `hasNext` in interface `NetricsBaseRecSrc`
      Returns:
        True if there is another record, false otherwise
      Throws:
        `NetricsRecSrcException` - if an error occurs.

    - #### getNext

          public NetricsRecord getNext()
                                throws NetricsRecSrcException

      Description copied from interface: `NetricsRecSrc`
      Returns the next record. This restricts the record returned to a single table record.
      Specified by:
        `getNext` in interface `NetricsBaseRecSrc`
      Specified by:
        `getNext` in interface `NetricsRecSrc`
      Returns:
        the next record
      Throws:
        `NetricsRecSrcException` - if an error occurs, or if there are no more records.

    - #### reset

          public void reset()

      Resets the underlying cursor to the beginning.
      Specified by:
        `reset` in interface `NetricsBaseRecSrc`

    - #### getPosition

          public java.lang.String getPosition()

      Obtains the current position of the underlying cursor. This position may be used to later set the cursor position using `setPosition(java.lang.String)`.
      Returns:
        the current position of the underlying cursor.

    - #### setPosition

          public void setPosition​(java.lang.String position)

      Reposition the underlying cursor.
      Parameters:
        `position` - a cursor position. This should be a value returned by `getPosition()`